Create campaign
Create a new campaign that ties an agent to a schedule, rate, and retry policy.
The campaign will be created in scheduled status. It starts automatically when start_timestamp is reached.
Path parameters
org_id
workspace_id
Request
This endpoint expects an object.
name
app_config
Agent configuration for the campaign
start_timestamp
Campaign start time (ISO 8601)
end_timestamp
Campaign end time (ISO 8601)
allowed_schedule
Schedule constraints for when the campaign can run
description
Optional campaign description. Max 150 characters.
Response
Successful Response
name
Name of the resource
campaign_id
Unique identifier for the campaign
status
Current status
app_id
ID of the agent
created_by
User who created this resource
created_at
Timestamp when the resource was created (ISO 8601)
updated_at
Timestamp when the resource was last updated (ISO 8601)
description
Optional description
app_type
Type of agent
app_version
Version of the agent to use
updated_by
User who last updated this resource
Errors
422
Unprocessable Entity Error